Retail Express API 2.1

countries

Searches Countries by parameters

Searches Countries by parameters

get
https://api.retailexpress.com.au/v2.1/countries

Query Parameters

codestring | null

Search by Code

namestring | null

Search by Name

modified_sincestring | null(date-time)

Modified since search parameter

order_bystring | null

Order by.

Available field name values: id (default), code, name, modified_on

Available direction values: asc, desc.

Example: modified_on desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Countries data

Country.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

CountryVM Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/countries
 
application/json

Gets Country by id

Gets Country by id

get
https://api.retailexpress.com.au/v2.1/countries/{id}

Path Parameters

idinteger(int32)required

Country id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Country

Country

CountryVM Model

* Additional properties are NOT allowed.
idinteger | null(int32)

id

codestring | null

code

namestring | null

name

tax_ratenumber(double)

tax_rate

tax_labelstring | null

tax_label

currency_multipliernumber(double)

currency_multiplier

fob_currencyobject

Currencies model

* Additional properties are NOT allowed.
Show Child Parameters
modified_onstring(date-time)

Modified on

get/countries/{id}
 
application/json

creditnotes

Search Credit Notes by parameters

Search Credit Notes by parameters

get
https://api.retailexpress.com.au/v2.1/creditnotes

Query Parameters

idsstring | null

Сredit note Ids. (comma separated)
Other properties are skipped, if used.
Example: 2,3,4

supplier_return_idsstring | null

Supplier Return Ids. (comma separated)
Example: 2,3,4

outlet_idsstring | null

Outlet Ids. (comma separated)
Example: 2,3,4

supplier_idsstring | null

Supplier Ids. (comma separated)
Example: 1,2,3

supplier_referencestring | null

Supplier reference.

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

filter_bystring | null

Filter by.
Available field name values: id, supplier_return_id, supplier, outlet, supplier_reference, total_credit_quantity, total_credit_amount_ex, total_credit_amount_tax, total_credit_amount_inc, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname, supplier_credited_on.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432

order_bystring | null

Order by.

Available field name values: id, supplier_return_id, supplier, outlet, supplier_reference, total_credit_quantity, total_credit_amount_ex, total_credit_amount_tax, total_credit_amount_inc, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname, supplier_credited_on.

Available direction values: asc, desc.

Example: id asc, supplier_return_id desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Credit Notes returned successfully

CreditNote.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Credit Note model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/creditnotes
 
application/json